We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 3401 - add DOI suffixes for articles
add DOI suffixes for articles
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Journal Management
To be determined
PC All
: P3 normal
Assigned To: Juan Pablo Alperin
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 07:41 PDT by Juan Pablo Alperin
Modified: 2009-04-06 12:15 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
patch pre-imminent-2.2.1 release to add flexible DOI suffixes (8.92 KB, patch)
2008-07-11 09:48 PDT, Juan Pablo Alperin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Pablo Alperin 2008-04-22 07:41:38 PDT
it may be helpful to allow for custom DOI suffixes to be assigned.  At the moment, the crossref plugin assigns a suffix and uses the per journal DOI prefix specified by the Journal Manager. 

a few ideas on how this could work:

3 radio buttons below the DOI field with the following options 
- use pattern-based DOI suffixes (i.e. using %v, %i, %p, %a could let users create DOI's such as 10.1234/v3i2p234)  
- use the custom identifier already for published articles as the doi suffix 
- assign a DOI suffix automatically (default option, based on the
Comment 1 Juan Pablo Alperin 2008-04-22 07:43:17 PDT
the DOI suffix should be assignable also at the time of doing an import with an import plugin
Comment 2 Juan Pablo Alperin 2008-07-11 09:48:52 PDT
Created attachment 867 [details]
patch pre-imminent-2.2.1 release to add flexible DOI suffixes
Comment 3 Juan Pablo Alperin 2008-07-11 09:51:15 PDT
I only added a few options for the custom pattern DOI suffix, but this is infinitely extensible.  I'm waiting to commit this until after the 2.2.1 release, but I welcome people to have a look.  

MJ: we've talked about this before.  Want to have a look and see if this fills the needs we'd identified
Comment 4 Juan Pablo Alperin 2008-10-16 12:03:21 PDT
committed patch to ojs2-branch_2_2_2 and pre 2.3 CVS. 

template changes made both in the locale.xml (branch)  and manager.xml (devel).  See attachment #1033 [details] for details of which keys changed.
Comment 5 D Askey 2009-04-06 12:15:50 PDT
Applied this patch to a 2.2.2 install. No problems, good results.